<?php $settings['settings'] = $settings; ?>
<?php 
	wp_enqueue_style( 'swiper' );
	wp_enqueue_script( 'swiper' );
	//Swiper Slider Data
	$swiper_slide_data_info = mascot_core_edulerns_swiper_data_params( $settings );
?>
<?php if ( $service_items_array ) : ?>
	<div id="<?php echo esc_attr( $holder_id ) ?>" class="tm-sc-service tm-service-carousel tm-swiper-container <?php echo esc_attr(implode(' ', $classes)); ?>" <?php echo html_entity_decode( esc_attr( implode(' ', $swiper_slide_data_info) ) ) ?>>
		<div class="swiper-container-inner">
			<div class="swiper-wrapper">
				<!-- the loop -->
				<?php foreach (  $service_items_array as $service_item ) { ?>
					<?php $settings['service_item'] = $service_item; ?>
					<?php 
						$animation = "";
						$animation_delay = "";
						if(isset($service_item['wow_appear_animation']) && !empty($service_item['wow_appear_animation'])) {
							$animation = $service_item['wow_appear_animation'];
						}
						if(isset($service_item['wow_animation_delay']) && !empty($service_item['wow_animation_delay'])) {
							$animation_delay = $service_item['wow_animation_delay'] . 'ms';
						}
					?>
					<div class="swiper-slide <?php echo esc_attr($animation);?>" data-wow-delay="<?php echo esc_attr($animation_delay);?>">
						<?php mascot_core_edulerns_get_shortcode_template_part( 'service-item', $_skin, 'service-block/tpl', $settings, false ); ?>
					</div>
				<?php } ?>
				<!-- end of the loop -->
			</div>
		</div>

		<div class="swiper-pagination <?php if( $bullets !== 'yes' ) echo esc_attr( "d-none" ); ?>"></div>

		<div class="tm-swiper-arrow tm-swiper-button-wrap <?php if( $arrow !== 'yes' ) echo esc_attr( "d-none" ); ?>">
			<div class="tm-swiper-arrow tm-swiper-button-prev"><i class="lnr-icon-arrow-left"></i></div>
			<div class="tm-swiper-arrow tm-swiper-button-next"><i class="lnr-icon-arrow-right"></i></div>
		</div>
	</div>

<?php else : ?>
	<?php mascot_core_edulerns_no_posts_match_criteria_text(); ?>
<?php endif; ?>